commit:     9600cb4b65c159ea6486ea1afbf042e5d1bdb967
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 20:19:28 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 20:28:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9600cb4b

xfce-base/libxfce4util: Bump to 4.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4util/Manifest                   |  1 +
 xfce-base/libxfce4util/libxfce4util-4.18.1.ebuild | 48 +++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/xfce-base/libxfce4util/Manifest b/xfce-base/libxfce4util/Manifest
index 2658f0323148..b43e16fb16dd 100644
--- a/xfce-base/libxfce4util/Manifest
+++ b/xfce-base/libxfce4util/Manifest
@@ -1,3 +1,4 @@
 DIST libxfce4util-4.16.0.tar.bz2 508328 BLAKE2B 
99578b898389bd90841a7f903f5473b2ff357cf81256efe1019425b48da32401ce238deffefd299987477f4cdfb77e86e415b55049863c30bf16e0e641e08c72
 SHA512 
dce6992c3da73367461d7464794a9b2a5503666113682e07a86e18b1c5383de2b087809448d5729097571f4fda6b4af5f4f4600848514ab2ab4b3f367ca26f5c
 DIST libxfce4util-4.17.4.tar.bz2 511520 BLAKE2B 
7850dbf49b5624ce8ac97c4188a80afc51f1d258b9760ff3ef7055cedb7dda11c18a784f053c4c25f9622e3db65d97f21ff9974fd9830edf696a81543453f982
 SHA512 
9774f199cd54c28875801e74e76f6e000579f3cc15e65c72e2edc6723b3a1b93083e9dd2ce0bd37885f4d812c3223552b6caa723ab8ce5169c69ccff8d2f6eb8
 DIST libxfce4util-4.18.0.tar.bz2 511384 BLAKE2B 
65db083fb2ecec007f2f1052afad58184a8e607e2959c49e313a87781f92e8b76d1b59daeb1c6b159cfc000ba37edf25aab1df96526ce5aa7c218dc27a896447
 SHA512 
10ec7798570c95719951fdd6cbd45aefc6950e6012b17f05f9023711a874dbaf79ac5c07d98990f7c5bf9efb1d254732f203f670f23bf23a2004656f46737749
+DIST libxfce4util-4.18.1.tar.bz2 527167 BLAKE2B 
b5d16b4e6ce541a7de559eb2801cf800dab26c45e83b0c562974f18218fd9ad0d70e40219b573a90f1ea1b9e15a8111cfae6200f581335f305a7e7f6eb07adc9
 SHA512 
e1459e2268948c8329394bdca56f7e7bef7739b56559c00ce6d70dfbedd038cd73a4873be34b91dbd94a80afc16e2b0e1cc256d3ff4d8fdeef9162fbdb3772cd

diff --git a/xfce-base/libxfce4util/libxfce4util-4.18.1.ebuild 
b/xfce-base/libxfce4util/libxfce4util-4.18.1.ebuild
new file mode 100644
index 000000000000..e69e52005cf5
--- /dev/null
+++ b/xfce-base/libxfce4util/libxfce4util-4.18.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vala
+
+DESCRIPTION="A basic utility library for the Xfce desktop environment"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/libxfce4util/start
+       https://gitlab.xfce.org/xfce/libxfce4util/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="+introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+DEPEND="
+       >=dev-libs/glib-2.66.0
+       introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-util/intltool
+       dev-util/gtk-doc-am
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable vala)
+       )
+
+       use vala && vala_setup
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to